%define upstream_name    Proc-ParallelLoop
%define upstream_version 0.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Execute loops in parallel
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tgz


BuildArch: noarch

%description
This module provides a way to easily write for loops and foreach loops that
run with a controlled degree of parallelism. One very nice feature is that
bufferring is used when necessary such that the output from STDERR and
STDOUT looks exactly as if it was produced by running your subroutine on
each parameter in plain old sequential fashion. Return status from each
loop iteration is also preserved.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.500.0-9.mga8
+ Revision: 1496956
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.500.0-8.mga7
+ Revision: 1270880
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-7.mga6
+ Revision: 1032702
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.500.0-6.mga6
+ Revision: 941729
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-5.mga5
+ Revision: 744063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-4.mga5
+ Revision: 686060
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.500.0-3.mga4
+ Revision: 514272
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 372137
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 04 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 80340
- imported package perl-Proc-ParallelLoop


* Mon Apr 04 2011 cpan2dist 0.5-1mga
- initial mageia release, generated with cpan2dist
